<?php

namespace Omnipay\Inforbank\Message;

use Omnipay\Common\Message\AbstractRequest as BaseAbstractRequest;

abstract class AbstractRequest extends BaseAbstractRequest
{
    abstract protected function generateSignature();

    public function getClientId()
    {
        return $this->getParameter('clientId');
    }

    public function getClientSecret()
    {
        return $this->getParameter('clientSecret');
    }
}
